Package org.eclipse.birt.chart.computation.withaxes

# Class AxisLabelTextProvider

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.AxisLabelTextProvider

public abstract class AxisLabelTextProvider extends Object
This class provides the axis label texts of an axis.

## Method Summary

Modifier and Type
Method
Description
`static AxisLabelTextProvider`
`create(OneAxis oax)`
`abstract String`
`getLabelText(int index)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static AxisLabelTextProvider create(OneAxis oax)

### getLabelText

public abstract String getLabelText(int index) throws ChartException

Throws:
  `ChartException`